Documentation>C API
Data Fields
VlDsiftDescriptorGeometry Struct Reference

Dense SIFT descriptor geometry.

`#include <dsift.h>`

## Data Fields

int | numBinT
int | numBinX
int | numBinY
int | binSizeX
int | binSizeY

## Field Documentation

## ◆ binSizeX

int VlDsiftDescriptorGeometry::binSizeX

size of bins along X

## ◆ binSizeY

int VlDsiftDescriptorGeometry::binSizeY

size of bins along Y

## ◆ numBinT

int VlDsiftDescriptorGeometry::numBinT

number of orientation bins

## ◆ numBinX

int VlDsiftDescriptorGeometry::numBinX

number of bins along X

## ◆ numBinY

int VlDsiftDescriptorGeometry::numBinY

number of bins along Y

The documentation for this struct was generated from the following file:

- dsift.h